Frequently asked question

Is it safe to remove Adobe Flash from ArcGIS Server?

Last Published: March 1, 2021

Answer

Yes, Adobe Flash is no longer a requirement for the latest version of ArcGIS Server and it operates without Adobe Flash. Refer to ArcGIS Enterprise: ArcGIS Server 10.8.x system requirements for more information. Environments using the latest version of ArcGIS Server are not affected by the end of life of Adobe Flash since 31 December 2020.

Adobe Flash is required for ArcGIS Server 10.5 and earlier, using ArcGIS API for Flex for LocalView Fusion. These components are no longer required in later versions of ArcGIS Server.

Note:
LocalView Fusion was retired on 1 July 2016, and ArcGIS API for Flex was retired in June 2016.

Article ID:000025157

Software:
  • ArcGIS Server

Get help from ArcGIS experts

Contact technical support

Download the Esri Support App

Go to download options

Related Information

Discover more on this topic